LIBKECCAK_FAST_SQUEEZE(3)

NAME
libkeccak_fast_squeeze - Runs the squeeze phase a number of times

SYNOPSIS
#include <libkeccak.h>
void libkeccak_fast_squeeze(struct libkeccak_state *state, long int times);

Link with -lkeccak.

DESCRIPTION
The libkeccak_fast_squeeze() function runs the Keccak squeeze phase, on the the hash process described by *state, as many times are required to get times additional digests.

RETURN VALUES
The libkeccak_fast_squeeze() function does not return any value.

ERRORS
The libkeccak_fast_squeeze() function cannot fail.

SEE ALSO
libkeccak_digest(3), libkeccak_fast_digest(3), libkeccak_simple_squeeze(3), libkeccak_squeeze(3)